import { AbstractSvgBuilder } from "./svg-builder";
import { SvgNode } from "./svg-node";
import { IDrawing, IRegion, IPath } from "..";
export declare class SvgDrawing extends AbstractSvgBuilder implements IDrawing {
    private nextRegionId;
    private nextPathId;
    private defs;
    private styles;
    private stylesMap;
    constructor(size?: {
        width: number;
        height: number;
    });
    private static getSvgAttributes;
    private generateRegionId;
    private generatePathId;
    createRegion(): IRegion;
    createPath(): IPath;
    addPattern(svgPattern: string | SvgNode): void;
    addStyle(selector: string, style: string): void;
    getStyle(selector: string): string | undefined;
    svg(): string;
}
